Subject: Re: bad AVPs result in...

From: Barney Wolff <[email-masked]>
Date: Thu, 23 Dec 1999 20:03 EST

Others may differ, but my own view is to follow "be conservative in what
you send, liberal in what you accept" and ignore the M-bit if you
recognize the AVP and can tolerate its value.  Similarly, I'd respond
with CDN to a session mistake, and reserve StopCCN for cases with a
realistic risk of leaving the whole tunnel in a pathological state.
The goal is to interoperate, not to score points.

Barney Wolff  <[email-masked]>

> From: "David Wong" <[email-masked]>
> Date: Thu, 23 Dec 1999 19:45:17 -0500
> 
> I've already asked this question with respect to control packets for tunnels. My
> question is now with regards to control packets for establishing/tearing down
> sessions.
> 
> An excerpt from Townsley's response to an earlier message:
> 
> > AVP malformations are a bit different. If there is something detectably
> > wrong (e.g. length field for a fixed size AVP is incorrect), then you
> > must look to the Mandatory Bit to see what to do. If it is set,
> > gracefully shutdown the call or tunnel.
> 
> 
> So, my question is, if the malformed AVP is in, say is in one of the Incoming
> Call packets, should the receiver of the bad packet (assuming that the Mandatory
> Bit is set in the bad AVP) send back a CDN to clear the session? Or can the
> receiver send a StopCCN to clear everything? Is there supposed to be a "correct"
> answer to this, or is it really up to the implementations?
> 
> In addition, a subtle question, but what happens if an AVP has the incorrect
> value for the M-bit? So, if it is supposed to be set, it isn't, or if it isn't
> supposed to be set, and it is? I've assumed that in both cases, a CDN should be
> sent. Is this correct?
> 
> 
>

---

From: "W. Mark Townsley" <[email-masked]>
Date: Sun, 26 Dec 1999 01:56:24 -0500

> you send, liberal in what you accept" and ignore the M-bit if you

This is, of course, a mantra that should be followed when at all
possible. However, the idea here is that making a "guess" at a value
which has known formatting errors should be left to signaling parameters
which are not crucial.

> realistic risk of leaving the whole tunnel in a pathological state.

Yes, and if memory serves the RFC speaks to this designation.